<?php

/**
  * Plugin that adds the ENCRYPTED Username to the X-Sender header. 
  * The Username is the actual Sonic User Account Email Address.
  * Inspired by the log_sender.php plug-in v1.0 by Cor Bosman
  *
  * @version 1.1
  * @author Sonic.net Member
  */

class log_sender extends rcube_plugin 
{
  function init()
  {
    $this->add_hook('outgoing_message_headers', array($this, 'log'));
  }

  function log($args)
  {
    $rcmail = rcmail::get_instance();
    $user = $rcmail->user->data['username'];
    $user = $rcmail->encrypt($user);
    $args['headers']['X-Sender']  .= " ($user)";
    
    return($args);
  }
}
?>
